aboutsummaryrefslogtreecommitdiff
path: root/patches/gollum.sh
diff options
context:
space:
mode:
authorDave Gauer <dave@ratfactor.com>2021-03-12 19:59:17 -0500
committerDave Gauer <dave@ratfactor.com>2021-03-12 19:59:17 -0500
commit83e235cf1bf87ec00af67d0d3ab63ba9cc329344 (patch)
tree0a1bab03330bebf474dd082864271a601c9140ab /patches/gollum.sh
parent2e99488b0e076fdfcbe70d79e037e8db5797eb0c (diff)
downloadziglings-83e235cf1bf87ec00af67d0d3ab63ba9cc329344.tar.gz
ziglings-83e235cf1bf87ec00af67d0d3ab63ba9cc329344.tar.bz2
ziglings-83e235cf1bf87ec00af67d0d3ab63ba9cc329344.tar.xz
ziglings-83e235cf1bf87ec00af67d0d3ab63ba9cc329344.zip
Patch/test scripts now run from project root
This simplifies everything and makes everything good. (Shell scripts need to be as simple as possible for maximum compatibility.)
Diffstat (limited to 'patches/gollum.sh')
-rwxr-xr-xpatches/gollum.sh23
1 files changed, 14 insertions, 9 deletions
diff --git a/patches/gollum.sh b/patches/gollum.sh
index b693083..495aa44 100755
--- a/patches/gollum.sh
+++ b/patches/gollum.sh
@@ -6,18 +6,23 @@
# Gollum, The Hobbit, or There and Back Again
#
-cd $(dirname $(realpath $0))
-f=$(basename ../exercises/$1*.zig .zig 2> /dev/null)
-b=../exercises/$f.zig
-a=../answers/$f.zig
-p=patches/$f.patch
+if [ ! -f 'patches/gollum.sh' ]
+then
+ echo "We must be run from the project root dir, precious!"; exit 1
+fi
-printf "\tf: '$f'\n\tb: '$b'\n\ta: '$a'\n"
+ex=$(printf "%03d" $1)
+echo "Nassssty exercise $ex..."
-if [ ! -f $b ]; then echo "We hates it!"; exit 1; fi
-if [ ! -f $a ]; then echo "Where is it? Where is the answer, precious?"; exit; fi
+f=$(basename exercises/${ex}_*.zig .zig 2> /dev/null)
+b=exercises/$f.zig
+a=answers/$f.zig
+p=patches/patches/$f.patch
-echo Hisssss!
+if [ ! -f $b ]; then echo "No $f! We hates it!"; exit 1; fi
+if [ ! -f $a ]; then echo "No $a! Where is it? Where is the answer, precious?"; exit; fi
+
+echo "Hissss!\tbefore: '$b'\n\t after: '$a'\n\t patch: '$p'\n"
diff $b $a > $p